UpdateVirtualCluster - Amazon EMR on EKS
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

UpdateVirtualCluster

Updates a virtual cluster. Virtual cluster is a managed entity on Amazon EMR on EKS. You can create, update, describe, list and delete virtual clusters. They do not consume any additional resource in your system. A single virtual cluster maps to a single Kubernetes namespace. Given this relationship, you can model virtual clusters the same way you model Kubernetes namespaces to meet your requirements.

Request Syntax

PATCH /virtualclusters/virtualClusterId HTTP/1.1 Content-type: application/json { "clientToken": "string", "schedulerConfiguration": { "maxConcurrentJobRuns": number, "maxInQueueJobRuns": number } }

URI Request Parameters

The request uses the following URI parameters.

virtualClusterId

The ID of the virtual cluster to update.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [0-9a-z]+

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier that you provide to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request, but does not return an error.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: .*\S.*

Required: Yes

schedulerConfiguration

The scheduler configuration to apply to the virtual cluster. The new configuration fully replaces the existing one. If you omit a field, the corresponding limit is removed.

Type: SchedulerConfiguration object

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "virtualCluster": { "arn": "string", "containerProvider": { "id": "string", "info": { ... }, "type": "string" }, "createdAt": "string", "id": "string", "name": "string", "schedulerConfiguration": { "maxConcurrentJobRuns": number, "maxInQueueJobRuns": number }, "schedulerStatus": { "currentConcurrentJobRuns": number, "currentInQueueJobRuns": number }, "securityConfigurationId": "string", "sessionEnabled": boolean, "state": "string", "tags": { "string" : "string" } } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

virtualCluster

The updated virtual cluster.

Type: VirtualCluster object

Errors

For information about the errors that are common to all actions, see Common Error Types.

InternalServerException

This is an internal server exception.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found.

HTTP Status Code: 400

ValidationException

There are invalid parameters in the client request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: